This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 52159 - Incorrect free space check during kernel build
Incorrect free space check during kernel build
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 04:08 EDT by vvs
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 23:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description vvs 2001-08-21 04:08:56 EDT
Description of Problem:

Disk space check in spec's "spaceof" scriptlet reports incorrect amount of
free disk space if /var/tmp or /usr/src/redhat/BUILD is a loopback
filesystem. It reports free space of host partition which contained
filesystem file image instead.

Version-Release number of selected component (if applicable):

kernel-2.4.7-2

How Reproducible:

Always

Steps to Reproduce:
1. create ext2 filesystem in one big enough file, so that there would
remain less than 200MB of free space in it's host filesystem
2. loopback mount it either at /var/tmp or /usr/src/redhat/BUILD
3. rpmbuild --rebuild kernel-2.4.7-2.src.rpm

Actual Results:

Report that there are not enough free disk space, while actually there are
plenty of it

Expected Results:

Build should either report error if this configuration is not supported or
check for free space inside the loopback filesystem, not in it's host
filesystem

Additional Information:
	
It is very useful to temporary get more free disk space for rpm builds,
than to actually reserve this space during installation. I have FAT32
filesystem with big amount of free space and would like to use it sometimes
for Linux

Note You need to log in before you can comment on or make changes to this bug.